Debian Bug report logs - #486827
[iceweasel] Iceweasel cannot render APNG image

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: Hideki Yamane <henrich@debian.or.jp>

Date: Wed, 18 Jun 2008 12:30:21 UTC

Severity: wishlist

Tags: confirmed

Merged with 488719, 609249

Found in version iceweasel/3.5.16-3

Fixed in version 4.0~b12-1

Done: Mike Hommey <mh@glandium.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#486827; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: submit@bugs.debian.org
Subject: [iceweasel] Iceweasel cannot render APNG image
Date: Wed, 18 Jun 2008 21:24:22 +0900
Package: iceweasel
Version: 3.0~rc2-1
Severity: important

Hi,

 Maybe I missed something an important point, but iceweasel cannot render
 APNG image but just renders PNG file on my box.

How to reproduce

1. start iceweasel with "-safe-mode"
2. access http://labs.mozilla.com/2007/08/better-animations-in-firefox-3/ with iceweasel
3. see "Example: the Firefox “throbber” " section, and you'll see non-animated
   png image.
4. get firefox3 and do same thing, apng works.


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.25-2-686

Debian Release: lenny/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        ftp.jp.debian.org 
    1 experimental    cdn.debian.or.jp 

--- Package information. ---
Depends               (Version) | Installed
===============================-+-==============
fontconfig                      | 2.6.0-1
psmisc                          | 22.6-1
procps                          | 1:3.2.7-8
debianutils           (>= 1.16) | 2.29
libc6                (>= 2.7-1) | 2.7-12
libgcc1            (>= 1:4.1.1) | 1:4.3.1-2
libglib2.0-0        (>= 2.12.0) | 2.16.3-2
libgtk2.0-0         (>= 2.12.0) | 2.12.10-2
libnspr4-0d       (>= 1.8.0.10) | 4.7.1-3
libstdc++6           (>= 4.1.1) | 4.3.1-2
xulrunner-1.9      (>= 1.9~rc1) | 1.9~rc2-3


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#486827; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #10 received at 486827@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Hideki Yamane <henrich@debian.or.jp>, 486827@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#486827: [iceweasel] Iceweasel cannot render APNG image
Date: Wed, 18 Jun 2008 14:39:38 +0200
severity 486827 wishlist
block 486827 by 486209
thanks

On Wed, Jun 18, 2008 at 09:24:22PM +0900, Hideki Yamane wrote:
> Package: iceweasel
> Version: 3.0~rc2-1
> Severity: important

See bug #486209

Mike




Severity set to `wishlist' from `important' Request was from Mike Hommey <mh@glandium.org> to control@bugs.debian.org. (Wed, 18 Jun 2008 12:42:02 GMT) Full text and rfc822 format available.

Blocking bugs of 486827 added: 486209 Request was from Mike Hommey <mh@glandium.org> to control@bugs.debian.org. (Wed, 18 Jun 2008 12:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#486827; Package iceweasel. (Wed, 26 Aug 2009 14:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Engelking <inkerman42@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Wed, 26 Aug 2009 14:24:08 GMT) Full text and rfc822 format available.

Message #19 received at 486827@bugs.debian.org (full text, mbox):

From: Piotr Engelking <inkerman42@gmail.com>
To: 486209@bugs.debian.org, 486827@bugs.debian.org
Subject: Iceweasel, APNG, and libpng
Date: Wed, 26 Aug 2009 16:14:32 +0200
As upstream libpng has no plans to add APNG support (which is not
surprising, considering that libpng is supposed to be the reference
implementation of the PNG standard), it doesn't seem to be sane nor
realistic to expect Debian libpng maintainers to include and maintain
such a change. I think that #486209 and #486827 should be decoupled.




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#486827; Package iceweasel. (Sat, 29 Aug 2009 21:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Sat, 29 Aug 2009 21:42:04 GMT) Full text and rfc822 format available.

Message #24 received at 486827@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Piotr Engelking <inkerman42@gmail.com>, 486827@bugs.debian.org
Cc: 486209@bugs.debian.org
Subject: Re: Bug#486827: Iceweasel, APNG, and libpng
Date: Wed, 26 Aug 2009 16:34:40 +0200
On Wed, Aug 26, 2009 at 04:14:32PM +0200, Piotr Engelking <inkerman42@gmail.com> wrote:
> As upstream libpng has no plans to add APNG support (which is not
> surprising, considering that libpng is supposed to be the reference
> implementation of the PNG standard), it doesn't seem to be sane nor
> realistic to expect Debian libpng maintainers to include and maintain
> such a change. I think that #486209 and #486827 should be decoupled.

Except if the security team is happy with having libpng coming from mozilla
in xulrunner instead of the system library, these bugs should remain as they
are. Actually, now that the BTS supports an "affects" command, both could be
merged and assigned to libpng, actually, and marked as affecting iceweasel
and xulrunner.

Mike




Added tag(s) confirmed. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Mon, 28 Dec 2009 14:18:14 GMT) Full text and rfc822 format available.

Bug reassigned from package 'iceweasel' to 'xulrunner'. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Fri, 08 Jan 2010 01:18:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions iceweasel/3.0~rc2-1. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Fri, 08 Jan 2010 01:18:04 GMT) Full text and rfc822 format available.

Forcibly Merged 486827 488719. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Fri, 08 Jan 2010 01:18:06 GMT) Full text and rfc822 format available.

Added indication that 486827 affects iceweasel Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Fri, 08 Jan 2010 01:18:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'xulrunner' to 'iceweasel'. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sat, 08 Jan 2011 09:45:08 GMT) Full text and rfc822 format available.

Forcibly Merged 486827 488719 609249. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sat, 08 Jan 2011 09:45:09 GMT) Full text and rfc822 format available.

Reply sent to Mike Hommey <mh@glandium.org>:
You have taken responsibility. (Fri, 26 Aug 2011 07:21:05 GMT) Full text and rfc822 format available.

Notification sent to Hideki Yamane <henrich@debian.or.jp>:
Bug acknowledged by developer. (Fri, 26 Aug 2011 07:21:06 GMT) Full text and rfc822 format available.

Message #43 received at 486827-done@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: 486827-done@bugs.debian.org
Subject: Marking fixed
Date: Fri, 26 Aug 2011 09:19:57 +0200
Version: 4.0~b12-1

APNG support was added back by using the embedded libpng library.




Reply sent to Mike Hommey <mh@glandium.org>:
You have taken responsibility. (Fri, 26 Aug 2011 07:21:06 GMT) Full text and rfc822 format available.

Notification sent to Benjamí Villoslada <benjami@bitassa.cat>:
Bug acknowledged by developer. (Fri, 26 Aug 2011 07:21:06 GMT) Full text and rfc822 format available.

Reply sent to Mike Hommey <mh@glandium.org>:
You have taken responsibility. (Fri, 26 Aug 2011 07:21:07 GMT) Full text and rfc822 format available.

Notification sent to Torstein Adolf Winterseth <kvikende@fsfe.org>:
Bug acknowledged by developer. (Fri, 26 Aug 2011 07:21:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 Sep 2011 07:35:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:54:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.